Remove Client
curl --request DELETE \
--url https://api.kakiyo.com/v1/workspaces/{id}/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "client@example.com"
}
'import requests
url = "https://api.kakiyo.com/v1/workspaces/{id}/clients"
payload = { "email": "client@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'client@example.com'})
};
fetch('https://api.kakiyo.com/v1/workspaces/{id}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Client removed from workspace",
"email": "client@example.com"
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}Workspaces
Remove Client
Removes a client from the workspace by email address. Agency plan required.
DELETE
/
workspaces
/
{id}
/
clients
Remove Client
Agency Plan Required - This endpoint is only available for teams on the Agency plan.
Endpoint
DELETE https://api.kakiyo.com/v1/workspaces/:workspaceId/clients
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
workspaceId | string | Yes | The workspace ID |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
email | string | Yes | Email address of the client to remove |
Response
{
"message": "Client removed from workspace",
"email": "john@acmecorp.com"
}
Example Request
curl -X DELETE "https://api.kakiyo.com/v1/workspaces/69724d900007cfde1d88/clients" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"email": "john@acmecorp.com"}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID
Body
application/json
Email address of the client to remove
Example:
"client@example.com"
Last modified on January 22, 2026
⌘I

